package request

import (
	"topsdk/util"
)

type AlibabaWdkCouponTemplateQueryumpactidRequest struct {
	/*
	   券模版id列表     */
	SourceIds *[]int64 `json:"source_ids" required:"true" `
	/*
	   优惠券类型     */
	WdkCouponType *int64 `json:"wdk_coupon_type" required:"true" `
}

func (s *AlibabaWdkCouponTemplateQueryumpactidRequest) SetSourceIds(v []int64) *AlibabaWdkCouponTemplateQueryumpactidRequest {
	s.SourceIds = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryumpactidRequest) SetWdkCouponType(v int64) *AlibabaWdkCouponTemplateQueryumpactidRequest {
	s.WdkCouponType = &v
	return s
}

func (req *AlibabaWdkCouponTemplateQueryumpactidRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.SourceIds != nil {
		paramMap["source_ids"] = util.ConvertBasicList(*req.SourceIds)
	}
	if req.WdkCouponType != nil {
		paramMap["wdk_coupon_type"] = *req.WdkCouponType
	}
	return paramMap
}

func (req *AlibabaWdkCouponTemplateQueryumpactidRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
